Index: /trunk/deftanks/titan/physiq.def
===================================================================
--- /trunk/deftanks/titan/physiq.def	(revision 96)
+++ /trunk/deftanks/titan/physiq.def	(revision 97)
@@ -90,5 +90,5 @@
 microfi=1
 # facteur pour les aerosols
-tx = 1.
+tx = 3.
 # facteur de correction
 tcorrect=1.
Index: /trunk/deftanks/titan/run.def
===================================================================
--- /trunk/deftanks/titan/run.def	(revision 96)
+++ /trunk/deftanks/titan/run.def	(revision 97)
@@ -4,10 +4,14 @@
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
+## Calendrier
+calend=titan
 ## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
 dayref=1
 ##  Annee de l'etat  initial (   avec  4  chiffres   )
-anneeref=1979
+anneeref=1111
 ## Remise a zero de la date initiale
-raz_date=0
+raz_date=1
+## Reinit des variables de controle
+resetvarc=n
 ## Nombre de jours d'integration
 nday=11
Index: /trunk/deftanks/venus/run.def
===================================================================
--- /trunk/deftanks/venus/run.def	(revision 96)
+++ /trunk/deftanks/venus/run.def	(revision 97)
@@ -4,12 +4,20 @@
 INCLUDEDEF=physiq.def
 INCLUDEDEF=gcm.def
+## Calendrier
+calend=venus
 ## Jour de l'etat initial ( = 350  si 20 Decembre ,par expl. ,comme ici )
 dayref=1
 ##  Annee de l'etat  initial (   avec  4  chiffres   )
-anneeref=1979
+anneeref=1111
 ## Remise a zero de la date initiale
-raz_date=0
+raz_date=1
+## Reinit des variables de controle
+resetvarc=n
 ## Nombre de jours d'integration
 nday=2
+## Si on veut moins d'un jour :
+less1day=n
+## si less1day T, fraction de jour du run :
+fractday=0.01
 ## periode de sortie des variables de controle (en pas)
 iconser=500
Index: /trunk/libf/dyn3d/bilan_dyn.F
===================================================================
--- /trunk/libf/dyn3d/bilan_dyn.F	(revision 96)
+++ /trunk/libf/dyn3d/bilan_dyn.F	(revision 97)
@@ -915,5 +915,5 @@
          do itr=2,ntr
            do l=1,llm
-            do j=1,jjp1
+            do j=1,jjm
           zawQ(1,l,itr,iQ)=zawQ(1,l,itr,iQ)+zwQ(j,l,itr,iQ)*zmasse(j,l)
             enddo
Index: /trunk/libf/dyn3d/calfis.F
===================================================================
--- /trunk/libf/dyn3d/calfis.F	(revision 96)
+++ /trunk/libf/dyn3d/calfis.F	(revision 97)
@@ -21,5 +21,4 @@
      $                  pdq,
      $                  flxw,
-     $                  clesphy0,
      $                  pdufi,
      $                  pdvfi,
@@ -131,8 +130,4 @@
       REAL pdqfi(iip1,jjp1,llm,nqtot)
       REAL pdpsfi(iip1,jjp1)
-
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles )
 
 
@@ -515,5 +510,4 @@
      .             zphis,
      .             presnivs,
-     .             clesphy0,
      .             zufi,
      .             zvfi,
@@ -546,5 +540,4 @@
      .             zphis,
      .             presnivs,
-     .             clesphy0,
      .             zufi,
      .             zvfi,
Index: /trunk/libf/dyn3d/ce0l.F90
===================================================================
--- /trunk/libf/dyn3d/ce0l.F90	(revision 96)
+++ /trunk/libf/dyn3d/ce0l.F90	(revision 97)
@@ -39,10 +39,8 @@
 #include "temps.h"
 #include "logic.h"
-  INTEGER, PARAMETER            :: longcles=20
-  REAL,    DIMENSION(longcles)  :: clesphy0
   REAL,    DIMENSION(iip1,jjp1) :: masque
   CHARACTER(LEN=15)             :: calnd
 !-------------------------------------------------------------------------------
-  CALL conf_gcm( 99, .TRUE. , clesphy0 )
+  CALL conf_gcm( 99, .TRUE. )
 
   CALL Init_Phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
Index: /trunk/libf/dyn3d/conf_gcm.F
===================================================================
--- /trunk/libf/dyn3d/conf_gcm.F	(revision 96)
+++ /trunk/libf/dyn3d/conf_gcm.F	(revision 97)
@@ -4,5 +4,5 @@
 c
 c
-      SUBROUTINE conf_gcm( tapedef, etatinit, clesphy0 )
+      SUBROUTINE conf_gcm( tapedef, etatinit )
 c
       USE control_mod
@@ -22,13 +22,8 @@
 c     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para- 
 c     -metres  du zoom  avec  celles lues sur le fichier start .
-c      clesphy0 :  sortie  .
 c
        LOGICAL etatinit
        INTEGER tapedef
 
-       INTEGER        longcles
-       PARAMETER(     longcles = 20 )
-       REAL clesphy0( longcles )
-c
 c   Declarations :
 c   --------------
@@ -147,4 +142,11 @@
       CALL getin('raz_date', raz_date)
 
+!Config  Key  = resetvarc
+!Config  Desc = Reinit des variables de controle
+!Config  Def  = n
+!Config  Help = Reinit des variables de controle
+      resetvarc = .false.
+      CALL getin('resetvarc',resetvarc)
+
 !Config  Key  = nday
 !Config  Desc = Nombre de jours d'integration
@@ -154,4 +156,18 @@
       nday = 10
       CALL getin('nday',nday)
+
+!Config  Key  = less1day
+!Config  Desc = Possibilite d'integrer moins d'un jour
+!Config  Def  = n
+!Config  Help = Possibilite d'integrer moins d'un jour
+      less1day = .false.
+      CALL getin('less1day',less1day)
+
+!Config  Key  = fractday
+!Config  Desc = integration sur une fraction de jour
+!Config  Def  = 0.01
+!Config  Help = integration sur une fraction de jour
+      fractday = 0.01
+      CALL getin('fractday',fractday)
 
 !Config  Key  = day_step
@@ -360,8 +376,4 @@
        ip_ebil_dyn = 0
        CALL getin('ip_ebil_dyn',ip_ebil_dyn)
-
-      DO i = 1, longcles
-       clesphy0(i) = 0.
-      ENDDO
 
 ccc  ....   P. Le Van , ajout  le 7/03/95 .pour le zoom ...
@@ -611,4 +623,8 @@
       write(lunout,*)' anneeref = ', anneeref
       write(lunout,*)' nday = ', nday
+      if (less1day) then
+      write(lunout,*)' Run only for a fraction of day ! '
+      write(lunout,*)' fractday = ', fractday
+      endif
       write(lunout,*)' day_step = ', day_step
       write(lunout,*)' iperiod = ', iperiod
Index: /trunk/libf/dyn3d/control_mod.F90
===================================================================
--- /trunk/libf/dyn3d/control_mod.F90	(revision 96)
+++ /trunk/libf/dyn3d/control_mod.F90	(revision 97)
@@ -24,4 +24,7 @@
   LOGICAL ok_dyn_ave ! output averaged values of fields in the dynamics
                      ! in NetCDF files dyn_hist*ave.nc
+  LOGICAL :: resetvarc  ! allows to reset the variables in sortvarc
+  LOGICAL :: less1day   ! allows to run less than 1 day (for Venus)
+  REAL    :: fractday   ! fraction of the day to run in this case
 
 END MODULE
Index: /trunk/libf/dyn3d/gcm.F
===================================================================
--- /trunk/libf/dyn3d/gcm.F	(revision 96)
+++ /trunk/libf/dyn3d/gcm.F	(revision 97)
@@ -80,9 +80,4 @@
 #include "indicesol.h"
 #endif
-      INTEGER         longcles
-      PARAMETER     ( longcles = 20 )
-      REAL  clesphy0( longcles )
-      SAVE  clesphy0
-
 
 
@@ -172,5 +167,5 @@
 ! Ehouarn: dump possibility of using defrun
 !#ifdef CPP_IOIPSL
-      CALL conf_gcm( 99, .TRUE. , clesphy0 )
+      CALL conf_gcm( 99, .TRUE. )
 !#else
 !      CALL defrun( 99, .TRUE. , clesphy0 )
@@ -210,4 +205,14 @@
         call ioconf_calendar('gregorian')
         write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
+      else if (calend == 'titan') then
+!        call ioconf_calendar('titan')
+        write(lunout,*)'CALENDRIER CHOISI: Titan'
+        abort_message = 'A FAIRE...'
+        call abort_gcm(modname,abort_message,1)
+      else if (calend == 'venus') then
+!        call ioconf_calendar('venus')
+        write(lunout,*)'CALENDRIER CHOISI: Venus'
+        abort_message = 'A FAIRE...'
+        call abort_gcm(modname,abort_message,1)
       else
         abort_message = 'Mauvais choix de calendrier'
@@ -361,4 +366,6 @@
       mois = 1
       heure = 0.
+! Ce n'est defini pour l'instant que pour la Terre... 
+      if (planet_type.eq.'earth') then
       call ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
       jH_ref = jD_ref - int(jD_ref)
@@ -373,4 +380,11 @@
       write(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
       write(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
+      else
+! A voir pour Titan et Venus
+        jD_ref=0
+        jH_ref=0
+      write(lunout,*)'A VOIR POUR VENUS ET TITAN: jD_ref, jH_ref'
+      write(lunout,*)jD_ref,jH_ref
+      endif ! planet_type
 #else
 ! Ehouarn: we still need to define JD_ref and JH_ref
@@ -460,8 +474,15 @@
 
 #ifdef CPP_IOIPSL
+! Ce n'est defini pour l'instant que pour la Terre... 
+      if (planet_type.eq.'earth') then
       call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
       write (lunout,301)jour, mois, an
       call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
       write (lunout,302)jour, mois, an
+      else
+! A voir pour Titan et Venus
+      write(lunout,*)'A VOIR POUR VENUS ET TITAN: separation en annees...'
+      endif ! planet_type
+
  301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
  302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
@@ -519,5 +540,5 @@
 
 
-      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,q,clesphy0,
+      CALL leapfrog(ucov,vcov,teta,ps,masse,phis,q,
      .              time_0)
 
Index: /trunk/libf/dyn3d/leapfrog.F
===================================================================
--- /trunk/libf/dyn3d/leapfrog.F	(revision 96)
+++ /trunk/libf/dyn3d/leapfrog.F	(revision 97)
@@ -4,5 +4,5 @@
 c
 c
-      SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,clesphy0,
+      SUBROUTINE leapfrog(ucov,vcov,teta,ps,masse,phis,q,
      &                    time_0)
 
@@ -66,8 +66,4 @@
 ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
 ! #include "clesphys.h"
-
-      INTEGER         longcles
-      PARAMETER     ( longcles = 20 )
-      REAL  clesphy0( longcles )
 
       real zqmin,zqmax
@@ -202,4 +198,8 @@
 
       itaufin   = nday*day_step
+      if (less1day) then
+c MODIF VENUS: to run less than one day:
+        itaufin   = int(fractday*day_step)
+      endif
       itaufinp1 = itaufin +1
       modname="leapfrog"
@@ -236,4 +236,21 @@
       CALL pression ( ip1jmp1, ap, bp, ps, p       )
       CALL exner_hyb( ip1jmp1, ps, p,alpha,beta, pks, pk, pkf )
+c------------------
+c TEST PK MONOTONE
+c------------------
+      write(*,*) "Test PK"
+      do ij=1,ip1jmp1
+        do l=2,llm
+          if(pk(ij,l).gt.pk(ij,l-1)) then
+c           write(*,*) ij,l,pk(ij,l)
+            abort_message = 'PK non strictement decroissante'
+            call abort_gcm(modname,abort_message,1)
+c           write(*,*) "ATTENTION, Test PK deconnecté..."
+          endif
+        enddo
+      enddo
+      write(*,*) "Fin Test PK"
+c     stop
+c------------------
 
 c-----------------------------------------------------------------------
@@ -430,5 +447,5 @@
      $               du,dv,dteta,dq,
      $               flxw,
-     $               clesphy0, dufi,dvfi,dtetafi,dqfi,dpfi  )
+     $               dufi,dvfi,dtetafi,dqfi,dpfi  )
 
 c      ajout des tendances physiques:
Index: /trunk/libf/dyn3d/sortvarc.F
===================================================================
--- /trunk/libf/dyn3d/sortvarc.F	(revision 96)
+++ /trunk/libf/dyn3d/sortvarc.F	(revision 97)
@@ -55,4 +55,8 @@
 
       REAL       SSUM
+
+      logical  firstcal
+      data     firstcal/.true./
+      save     firstcal
 
 c-----------------------------------------------------------------------
@@ -115,5 +119,5 @@
      *               cosphi(ij)
           ENDDO
-          angl(l) = radsg *
+          angl(l) = rad *
      s    (SSUM(ip1jm-iip1,ge(iip2),1)-SSUM(jjm-1,ge(iip2),iip1))
       ENDDO
@@ -129,8 +133,6 @@
       ang   = SSUM(     llm,  angl, 1 )
 
-c      rday = REAL(INT ( day_ini + time ))
-c
+      IF (firstcal.and.resetvarc) then
        rday = REAL(INT(time-jD_ref-jH_ref))
-      IF(ptot0.eq.0.)  THEN
          PRINT 3500, itau, rday, heure,time
          PRINT*,'WARNING!!! On recalcule les valeurs initiales de :'
@@ -151,4 +153,5 @@
       ang = ang /ang0
 
+      firstcal = .false.
 
       PRINT 3500, itau, rday, heure, time
Index: /trunk/libf/dyn3d/sortvarc0.F
===================================================================
--- /trunk/libf/dyn3d/sortvarc0.F	(revision 96)
+++ /trunk/libf/dyn3d/sortvarc0.F	(revision 97)
@@ -116,5 +116,5 @@
      *               cosphi(ij)
           ENDDO
-          angl(l) = radsg *
+          angl(l) = rad *
      s    (SSUM(ip1jm-iip1,ge(iip2),1)-SSUM(jjm-1,ge(iip2),iip1))
       ENDDO
Index: /trunk/libf/dyn3dpar/calfis_p.F
===================================================================
--- /trunk/libf/dyn3dpar/calfis_p.F	(revision 96)
+++ /trunk/libf/dyn3dpar/calfis_p.F	(revision 97)
@@ -21,5 +21,4 @@
      $                  pdq,
      $                  flxw,
-     $                  clesphy0,
      $                  pdufi,
      $                  pdvfi,
@@ -144,8 +143,4 @@
       REAL pdqfi(iip1,jjp1,llm,nqtot)
       REAL pdpsfi(iip1,jjp1)
-
-      INTEGER        longcles
-      PARAMETER    ( longcles = 20 )
-      REAL clesphy0( longcles )
 
 #ifdef CPP_PHYS
@@ -691,5 +686,4 @@
      .             zphis_omp,
      .             presnivs_omp,
-     .             clesphy0,
      .             zufi_omp,
      .             zvfi_omp,
@@ -720,5 +714,4 @@
      .             zphis_omp,
      .             presnivs_omp,
-     .             clesphy0,
      .             zufi_omp,
      .             zvfi_omp,
Index: /trunk/libf/dyn3dpar/ce0l.F90
===================================================================
--- /trunk/libf/dyn3dpar/ce0l.F90	(revision 96)
+++ /trunk/libf/dyn3dpar/ce0l.F90	(revision 97)
@@ -42,10 +42,8 @@
 #include "temps.h"
 #include "logic.h"
-  INTEGER, PARAMETER            :: longcles=20
-  REAL,    DIMENSION(longcles)  :: clesphy0
   REAL,    DIMENSION(iip1,jjp1) :: masque
   CHARACTER(LEN=15)             :: calnd
 !-------------------------------------------------------------------------------
-  CALL conf_gcm( 99, .TRUE. , clesphy0 )
+  CALL conf_gcm( 99, .TRUE. )
 
   CALL init_mpi
Index: /trunk/libf/dyn3dpar/conf_gcm.F
===================================================================
--- /trunk/libf/dyn3dpar/conf_gcm.F	(revision 96)
+++ /trunk/libf/dyn3dpar/conf_gcm.F	(revision 97)
@@ -4,5 +4,5 @@
 c
 c
-      SUBROUTINE conf_gcm( tapedef, etatinit, clesphy0 )
+      SUBROUTINE conf_gcm( tapedef, etatinit )
 c
 #ifdef CPP_IOIPSL
@@ -26,13 +26,8 @@
 c     etatinit  :     = TRUE   , on ne  compare pas les valeurs des para- 
 c     -metres  du zoom  avec  celles lues sur le fichier start .
-c      clesphy0 :  sortie  .
 c
        LOGICAL etatinit
        INTEGER tapedef
 
-       INTEGER        longcles
-       PARAMETER(     longcles = 20 )
-       REAL clesphy0( longcles )
-c
 c   Declarations :
 c   --------------
@@ -157,4 +152,11 @@
       CALL getin('raz_date', raz_date)
 
+!Config  Key  = resetvarc
+!Config  Desc = Reinit des variables de controle
+!Config  Def  = n
+!Config  Help = Reinit des variables de controle
+      resetvarc = .false.
+      CALL getin('resetvarc',resetvarc)
+
 !Config  Key  = nday
 !Config  Desc = Nombre de jours d'integration
@@ -164,4 +166,18 @@
       nday = 10
       CALL getin('nday',nday)
+
+!Config  Key  = less1day
+!Config  Desc = Possibilite d'integrer moins d'un jour
+!Config  Def  = n
+!Config  Help = Possibilite d'integrer moins d'un jour
+      less1day = .false.
+      CALL getin('less1day',less1day)
+
+!Config  Key  = fractday
+!Config  Desc = integration sur une fraction de jour
+!Config  Def  = 0.01
+!Config  Help = integration sur une fraction de jour
+      fractday = 0.01
+      CALL getin('fractday',fractday)
 
 !Config  Key  = day_step
@@ -628,4 +644,8 @@
       write(lunout,*)' anneeref = ', anneeref
       write(lunout,*)' nday = ', nday
+      if (less1day) then
+      write(lunout,*)' Run only for a fraction of day ! '
+      write(lunout,*)' fractday = ', fractday
+      endif
       write(lunout,*)' day_step = ', day_step
       write(lunout,*)' iperiod = ', iperiod
Index: /trunk/libf/dyn3dpar/control_mod.F90
===================================================================
--- /trunk/libf/dyn3dpar/control_mod.F90	(revision 96)
+++ /trunk/libf/dyn3dpar/control_mod.F90	(revision 97)
@@ -24,4 +24,7 @@
   LOGICAL ok_dyn_ave ! output averaged values of fields in the dynamics
                      ! in NetCDF files dyn_hist*ave.nc
+  LOGICAL :: resetvarc  ! allows to reset the variables in sortvarc
+  LOGICAL :: less1day   ! allows to run less than 1 day (for Venus)
+  REAL    :: fractday   ! fraction of the day to run in this case
 
 END MODULE
Index: /trunk/libf/dyn3dpar/gcm.F
===================================================================
--- /trunk/libf/dyn3dpar/gcm.F	(revision 96)
+++ /trunk/libf/dyn3dpar/gcm.F	(revision 97)
@@ -79,9 +79,4 @@
 #include "indicesol.h"
 #endif
-      INTEGER         longcles
-      PARAMETER     ( longcles = 20 )
-      REAL  clesphy0( longcles )
-      SAVE  clesphy0
-
 
 
@@ -175,5 +170,5 @@
 ! Ehouarn: dump possibility of using defrun
 !#ifdef CPP_IOIPSL
-      CALL conf_gcm( 99, .TRUE. , clesphy0 )
+      CALL conf_gcm( 99, .TRUE. )
 !#else
 !      CALL defrun( 99, .TRUE. , clesphy0 )
@@ -240,4 +235,14 @@
         call ioconf_calendar('gregorian')
         write(lunout,*)'CALENDRIER CHOISI: Terrestre bissextile'
+      else if (calend == 'titan') then
+!        call ioconf_calendar('titan')
+        write(lunout,*)'CALENDRIER CHOISI: Titan'
+        abort_message = 'A FAIRE...'
+        call abort_gcm(modname,abort_message,1)
+      else if (calend == 'venus') then
+!        call ioconf_calendar('venus')
+        write(lunout,*)'CALENDRIER CHOISI: Venus'
+        abort_message = 'A FAIRE...'
+        call abort_gcm(modname,abort_message,1)
       else
         abort_message = 'Mauvais choix de calendrier'
@@ -382,4 +387,6 @@
       mois = 1
       heure = 0.
+! Ce n'est defini pour l'instant que pour la Terre... 
+      if (planet_type.eq.'earth') then
       call ymds2ju(annee_ref, mois, day_ref, heure, jD_ref)
       jH_ref = jD_ref - int(jD_ref)
@@ -394,4 +401,11 @@
       write(lunout,*)'jD_ref+jH_ref,an, mois, jour, heure'
       write(lunout,*)jD_ref+jH_ref,an, mois, jour, heure
+      else
+! A voir pour Titan et Venus
+        jD_ref=0
+        jH_ref=0
+      write(lunout,*)'A VOIR POUR VENUS ET TITAN: jD_ref, jH_ref'
+      write(lunout,*)jD_ref,jH_ref
+      endif ! planet_type
 #else
 ! Ehouarn: we still need to define JD_ref and JH_ref
@@ -491,8 +505,15 @@
 
 #ifdef CPP_IOIPSL
+! Ce n'est defini pour l'instant que pour la Terre... 
+      if (planet_type.eq.'earth') then
       call ju2ymds(jD_ref + day_ini - day_ref, an, mois, jour, heure)
       write (lunout,301)jour, mois, an
       call ju2ymds(jD_ref + day_end - day_ref, an, mois, jour, heure)
       write (lunout,302)jour, mois, an
+      else
+! A voir pour Titan et Venus
+      write(lunout,*)'A VOIR POUR VENUS ET TITAN: separation en annees...'
+      endif ! planet_type
+
  301  FORMAT('1'/,15x,'run du ', i2,'/',i2,'/',i4)
  302  FORMAT('1'/,15x,'    au ', i2,'/',i2,'/',i4)
@@ -554,5 +575,5 @@
 
 c$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/,/logic/)
-      CALL leapfrog_p(ucov,vcov,teta,ps,masse,phis,q,clesphy0,
+      CALL leapfrog_p(ucov,vcov,teta,ps,masse,phis,q,
      .              time_0)
 c$OMP END PARALLEL
Index: /trunk/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- /trunk/libf/dyn3dpar/leapfrog_p.F	(revision 96)
+++ /trunk/libf/dyn3dpar/leapfrog_p.F	(revision 97)
@@ -5,5 +5,5 @@
 c
 
-      SUBROUTINE leapfrog_p(ucov,vcov,teta,ps,masse,phis,q,clesphy0,
+      SUBROUTINE leapfrog_p(ucov,vcov,teta,ps,masse,phis,q,
      &                    time_0)
 
@@ -70,8 +70,4 @@
 #include "academic.h"
       
-      INTEGER         longcles
-      PARAMETER     ( longcles = 20 )
-      REAL  clesphy0( longcles )
-
       real zqmin,zqmax
       INTEGER nbetatmoy, nbetatdem,nbetat
@@ -219,4 +215,8 @@
       
       itaufin   = nday*day_step
+      if (less1day) then
+c MODIF VENUS: to run less than one day:
+        itaufin   = int(fractday*day_step)
+      endif
       itaufinp1 = itaufin +1
       modname="leapfrog_p"
@@ -820,5 +820,5 @@
      $               du,dv,dteta,dq,
      $               flxw,
-     $               clesphy0, dufi,dvfi,dtetafi,dqfi,dpfi  )
+     $               dufi,dvfi,dtetafi,dqfi,dpfi  )
 !        CALL FTRACE_REGION_END("calfis")
         ijb=ij_begin
Index: /trunk/libf/dyn3dpar/sortvarc.F
===================================================================
--- /trunk/libf/dyn3dpar/sortvarc.F	(revision 96)
+++ /trunk/libf/dyn3dpar/sortvarc.F	(revision 97)
@@ -55,4 +55,8 @@
 
       REAL       SSUM
+
+      logical  firstcal
+      data     firstcal/.true./
+      save     firstcal
 
 c-----------------------------------------------------------------------
@@ -129,8 +133,6 @@
       ang   = SSUM(     llm,  angl, 1 )
 
-c      rday = REAL(INT ( day_ini + time ))
-c
+      IF (firstcal.and.resetvarc) then
        rday = REAL(INT(time-jD_ref-jH_ref))
-      IF(ptot0.eq.0.)  THEN
          PRINT 3500, itau, rday, heure,time
          PRINT*,'WARNING!!! On recalcule les valeurs initiales de :'
@@ -151,4 +153,5 @@
       ang = ang /ang0
 
+      firstcal = .false.
 
       PRINT 3500, itau, rday, heure, time
Index: /trunk/libf/phytitan/YOMCST.h
===================================================================
--- /trunk/libf/phytitan/YOMCST.h	(revision 96)
+++ /trunk/libf/phytitan/YOMCST.h	(revision 97)
@@ -1,4 +1,7 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/YOMCST.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
 !
 ! A1.0 Fundamental constants
@@ -6,8 +9,10 @@
 ! A1.1 Astronomical constants
       REAL RDAY,REA,REPSM,RSIYEA,RSIDAY,ROMEGA
+! A1.1.bis Constantes concernant l'orbite de la Terre:
+      REAL :: R_ecc, R_peri, R_incl
 ! A1.2 Geoide
       REAL RA,RG,R1SA
 ! A1.3 Radiation
-!     REAL RSIGMA,RI0
+!     REAL :: RSIGMA,RI0
       REAL RSIGMA
 ! A1.4 Thermodynamic gas phase
@@ -25,14 +30,9 @@
       REAL RALPD,RBETD,RGAMD
 !
-!    S      ,RSIGMA,RI0
-      COMMON/YOMCST/RPI   ,RCLUM ,RHPLA ,RKBOL ,RNAVO
-     S      ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA
-     S      ,RA    ,RG    ,R1SA
-     S      ,RSIGMA
-     S      ,R     ,RMD   ,RMV   ,RD    ,RV    ,RCPD
-     S      ,RCPV  ,RCVD  ,RCVV  ,RKAPPA,RETV
-     S      ,RCW   ,RCS
-     S      ,RLVTT ,RLSTT ,RLMLT ,RTT   ,RATM
-     S      ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS
-     S      ,RALPD ,RBETD ,RGAMD
-!    ------------------------------------------------------------------
+      COMMON/YOMCST/RPI ,RCLUM, RHPLA, RKBOL, RNAVO ,RDAY  ,REA         &
+     & ,REPSM ,RSIYEA,RSIDAY,ROMEGA , R_ecc, R_peri, R_incl,            &
+     & ,RA    ,RG ,R1SA                                                 &
+     & ,RSIGMA,R ,RMD   ,RMV   ,RD    ,RV    ,RCPD ,RCPV,RCVD           &
+     & ,RCVV  ,RKAPPA,RETV ,RCW   ,RCS ,RLVTT ,RLSTT ,RLMLT ,RTT ,RATM  &
+     & ,RESTT ,RALPW ,RBETW ,RGAMW ,RALPS ,RBETS ,RGAMS ,RALPD ,RBETD   &
+     & ,RGAMD
Index: /trunk/libf/phytitan/calchim.F
===================================================================
--- /trunk/libf/phytitan/calchim.F	(revision 96)
+++ /trunk/libf/phytitan/calchim.F	(revision 97)
@@ -36,5 +36,5 @@
       REAL         cplev(jjm+1,klev)      ! pression intercouches (Pa)
       
-      REAL         dqyc(jjm+1,klev,nqmx)  ! Tendances especes chimiques (nqmx, mais en fait NC...)
+      REAL         dqyc(jjm+1,klev,nqtot)  ! Tendances especes chimiques (nqtot, mais en fait NC...)
       
 c    Local variables :
Index: /trunk/libf/phytitan/clcdrag.F90
===================================================================
--- /trunk/libf/phytitan/clcdrag.F90	(revision 96)
+++ /trunk/libf/phytitan/clcdrag.F90	(revision 97)
@@ -30,6 +30,6 @@
 ! ================================================================= c
 !
-#include "YOMCST.inc"
-#include "clesphys.inc"
+#include "YOMCST.h"
+#include "clesphys.h"
 !
 ! Quelques constantes et options:
Index: /trunk/libf/phytitan/clesphys.h
===================================================================
--- /trunk/libf/phytitan/clesphys.h	(revision 96)
+++ /trunk/libf/phytitan/clesphys.h	(revision 97)
@@ -1,36 +1,31 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/phylmd/clesphys.h,v 1.1.1.1 2004/05/19 12:53:08 lmdzadmin Exp $
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
 !
-c..include cles_phys.h
-c
-       LOGICAL cycle_diurne,soil_model,new_oliq,ok_orodr,ok_orolf 
-       LOGICAL ok_limitvrai
+!..include cles_phys.h
+!
+       LOGICAL cycle_diurne,soil_model,ok_orodr,ok_orolf 
+       LOGICAL ok_orodr,ok_orolf,ok_gw_nonoro
        INTEGER nbapp_rad, nbapp_chim, iflag_con, iflag_ajs
+       REAL    ecritphy
        REAL    solaire
-
-c Parametres pour PBL:
-       real z0,lmixmin
-       REAL ksta
+       REAL    z0, lmixmin
+       REAL    ksta, inertie
        LOGICAL ok_kzmin
-
-c Parametres Chimie:
+       INTEGER lev_histmth, lev_histday
        logical chimi,ylellouch,hcnrad
        integer vchim,aerprod,htoh2
-       
-c Parametres Microphysique:
        integer microfi,cutoff
-       real tx,tcorrect
-       
-c surface
-       real inertie
+       real    tx,tcorrect
 
-cIM lev_histmth : niveau sorties mensuelles
-cIM lev_histday : niveau sorties journalieres
-       INTEGER lev_histmth, lev_histday
 
-       COMMON/clesphys/cycle_diurne, soil_model, new_oliq,
-     ,     ok_orodr, ok_orolf, ok_limitvrai, nbapp_rad, nbapp_chim
-     ,     , iflag_con, iflag_ajs, solaire, z0, lmixmin, ksta
-     ,     , ok_kzmin, lev_histmth, lev_histday
-     ,     , inertie, chimi,vchim,aerprod,htoh2,ylellouch,hcnrad
-     ,     , microfi,cutoff,tx,tcorrect
+       COMMON/clesphys/cycle_diurne, soil_model,                        &
+     &     ok_orodr, ok_orolf, ok_gw_nonoro, nbapp_rad, nbapp_chim      &
+     &     , ecritphy                                                   &
+     &     , iflag_con, iflag_ajs, solaire, z0, lmixmin, ksta           &
+     &     , ok_kzmin, lev_histmth, lev_histday                         &
+     &     , inertie, chimi,vchim,aerprod,htoh2,ylellouch,hcnrad        &
+     &     , microfi,cutoff,tx,tcorrect
+
Index: /trunk/libf/phytitan/comorbit.h
===================================================================
--- /trunk/libf/phytitan/comorbit.h	(revision 96)
+++ /trunk/libf/phytitan/comorbit.h	(revision 97)
@@ -1,12 +1,16 @@
-c-----------------------------------------------------------------------
-c INCLUDE 'comorbit.h'
+!
+!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
+!                 veillez  n'utiliser que des ! pour les commentaires
+!                 et  bien positionner les & des lignes de continuation
+!                 (les placer en colonne 6 et en colonne 73)
+!
+!..include comorbit.h
 
-      COMMON/comorbit/aphelie,periheli,year_day,
-     $       peri_day,timeperi,obliquit,
-     $       e_elips,p_elips,unitastr,pi
+      REAL aphelie,periheli,year_day
+      REAL peri_day,timeperi,obliquit
+      REAL e_elips,p_elips,unitastr,pi
 
-      REAL aphelie,periheli,year_day,
-     $  peri_day,timeperi,obliquit,
-     $  e_elips,p_elips,unitastr,pi
+      COMMON/comorbit/aphelie,periheli,year_day,                        &
+     &       peri_day,timeperi,obliquit,                                &
+     &       e_elips,p_elips,unitastr,pi
 
-c-----------------------------------------------------------------------
